Delete Ticket
curl --request POST \
--url 'https://actionkit.useparagon.com/projects/{project_id}/tools/#SERVICENOW_DELETE_TICKET' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tool": "SERVICENOW_DELETE_TICKET",
"parameters": {
"ticketId": "<string>"
}
}
'import requests
url = "https://actionkit.useparagon.com/projects/{project_id}/tools/#SERVICENOW_DELETE_TICKET"
payload = {
"tool": "SERVICENOW_DELETE_TICKET",
"parameters": { "ticketId": "<string>" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({tool: 'SERVICENOW_DELETE_TICKET', parameters: {ticketId: '<string>'}})
};
fetch('https://actionkit.useparagon.com/projects/{project_id}/tools/#SERVICENOW_DELETE_TICKET', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://actionkit.useparagon.com/projects/{project_id}/tools/#SERVICENOW_DELETE_TICKET",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'tool' => 'SERVICENOW_DELETE_TICKET',
'parameters' => [
'ticketId' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://actionkit.useparagon.com/projects/{project_id}/tools/#SERVICENOW_DELETE_TICKET"
payload := strings.NewReader("{\n \"tool\": \"SERVICENOW_DELETE_TICKET\",\n \"parameters\": {\n \"ticketId\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://actionkit.useparagon.com/projects/{project_id}/tools/#SERVICENOW_DELETE_TICKET")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"tool\": \"SERVICENOW_DELETE_TICKET\",\n \"parameters\": {\n \"ticketId\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://actionkit.useparagon.com/projects/{project_id}/tools/#SERVICENOW_DELETE_TICKET")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"tool\": \"SERVICENOW_DELETE_TICKET\",\n \"parameters\": {\n \"ticketId\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"deletedTicketId": "591b6346be6f86b29a219cf757b2cb68",
"ticketType": "incident"
}Tools
Delete Ticket
POST
/
projects
/
{project_id}
/
tools
/
#SERVICENOW_DELETE_TICKET
Delete Ticket
curl --request POST \
--url 'https://actionkit.useparagon.com/projects/{project_id}/tools/#SERVICENOW_DELETE_TICKET' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tool": "SERVICENOW_DELETE_TICKET",
"parameters": {
"ticketId": "<string>"
}
}
'import requests
url = "https://actionkit.useparagon.com/projects/{project_id}/tools/#SERVICENOW_DELETE_TICKET"
payload = {
"tool": "SERVICENOW_DELETE_TICKET",
"parameters": { "ticketId": "<string>" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({tool: 'SERVICENOW_DELETE_TICKET', parameters: {ticketId: '<string>'}})
};
fetch('https://actionkit.useparagon.com/projects/{project_id}/tools/#SERVICENOW_DELETE_TICKET', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://actionkit.useparagon.com/projects/{project_id}/tools/#SERVICENOW_DELETE_TICKET",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'tool' => 'SERVICENOW_DELETE_TICKET',
'parameters' => [
'ticketId' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://actionkit.useparagon.com/projects/{project_id}/tools/#SERVICENOW_DELETE_TICKET"
payload := strings.NewReader("{\n \"tool\": \"SERVICENOW_DELETE_TICKET\",\n \"parameters\": {\n \"ticketId\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://actionkit.useparagon.com/projects/{project_id}/tools/#SERVICENOW_DELETE_TICKET")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"tool\": \"SERVICENOW_DELETE_TICKET\",\n \"parameters\": {\n \"ticketId\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://actionkit.useparagon.com/projects/{project_id}/tools/#SERVICENOW_DELETE_TICKET")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"tool\": \"SERVICENOW_DELETE_TICKET\",\n \"parameters\": {\n \"ticketId\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"deletedTicketId": "591b6346be6f86b29a219cf757b2cb68",
"ticketType": "incident"
}Provider API: ServiceNow Table API (v2 for list and search Tools, v1 for single-record Tools).
Authorizations
Your Paragon User Token (JWT), which you can generate using your project's signing keys.
Path Parameters
Your Paragon Project ID. You can copy your Project ID from your dashboard URL or by clicking Copy Project ID under the Environment switcher.
Body
application/json
Response
200 - application/json
A confirmation built by the Tool. ServiceNow does not return a body when a record is deleted.